Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Functions | Variables
RepositoryContext.php File Reference

Go to the source code of this file.

## Functions
| EzSystems\PlatformBehatBundle\Context::setRepository (Repository $repository)
| EzSystems\PlatformBehatBundle\Context::getRepository ()
| EzSystems\PlatformBehatBundle\Context::loginAdmin ($event)
| @BeforeScenario More...

## Variables
trait | EzSystems\PlatformBehatBundle\Context::RepositoryContext
| Repository Context Trait. More...
| EzSystems\PlatformBehatBundle\Context::$repository

## Function Documentation

## ◆ getRepository()

EzSystems\PlatformBehatBundle\Context\getRepository | ( |  | ) |

Returns
  \eZ\Publish\API\Repository\Repository $repository

Definition at line 40 of file RepositoryContext.php.

References EzSystems\PlatformBehatBundle\Context\getRepository().

Referenced by EzSystems\PlatformBehatBundle\Context\getRepository().

## ◆ loginAdmin()

EzSystems\PlatformBehatBundle\Context\loginAdmin | ( |  | $event | ) |

@BeforeScenario

Definition at line 48 of file RepositoryContext.php.

References EzSystems\PlatformBehatBundle\Context\loginAdmin().

Referenced by EzSystems\PlatformBehatBundle\Context\loginAdmin().

## ◆ setRepository()

EzSystems\PlatformBehatBundle\Context\setRepository | ( | Repository | $repository | ) |
| protected

Parameters

  $repository | \eZ\Publish\API\Repository\Repository $repository

Definition at line 32 of file RepositoryContext.php.

References EzSystems\PlatformBehatBundle\Context\$repository, and EzSystems\PlatformBehatBundle\Context\setRepository().

Referenced by EzSystems\PlatformBehatBundle\Context\setRepository().

## Variable Documentation

## ◆ $repository

EzSystems::PlatformBehatBundle::Context\$repository
| private

Definition at line 27 of file RepositoryContext.php.

Referenced by EzSystems\PlatformBehatBundle\Context\setRepository().

## ◆ RepositoryContext

trait EzSystems::PlatformBehatBundle::Context\RepositoryContext

Initial value:
{
private $adminUserId = 14

Repository Context Trait.

Everything repository related should go here. To be used by all the other behat contexts that need the repository. Any Context tha uses this trait will automatically login the admin user, so any operation that needs admin permissions can be executed.

Definition at line 19 of file RepositoryContext.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.